%define	module Mail-Box

Summary:	Mail-folder manager API
Name:		perl-%{module}
Version:	2.088
Release:	%mkrel 2
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:     http://www.cpan.org/modules/by-module/Mail/%{module}-%{version}.tar.gz
# workaround perl automatic dependencies which fail to grab this one
Provides:	perl(Mail::Message::Construct)
BuildArch:	noarch
BuildRequires:	perl-Mail-MboxParser
BuildRequires:	perl-File-Remove
BuildRequires:	perl-MIME-Types
BuildRequires:	perl-Mail-SpamAssassin
BuildRequires:	perl-Mail-IMAPClient
BuildRequires:	perl-User-Identity
BuildRequires:	perl-MailTools
BuildRequires:	perl-MIME-tools
BuildRequires:	perl-HTML-Tree
BuildRequires:	perl-Object-Realize-Later
BuildRequires:	perl-HTML-Format
# not found by find-provides, in Mail/Message/Body/Delayed.pm
Requires: perl(Object::Realize::Later)
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The Mail::Box folder is a modern mail-folder manager. It is written to replace
Mail::Folder, although it interface is different.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

#%check
#%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

# fix permissions
find %{buildroot} -type f -exec chmod 0644 {} \;
find %{buildroot} -type d -exec chmod 0755 {} \;

# remove unused file
rm -f %{buildroot}%{perl_vendorlib}/Mail/Makefile.PL

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL LICENSE README* TODO.v2
%{_mandir}/*/*
%{perl_vendorlib}/Mail


%changelog
* Wed Mar 25 2009 Michael Scherer <misc@mandriva.org> 2.088-2mdv2009.1
+ Revision: 360973
- fix missing Requires

* Fri Mar 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.088-1mdv2009.1
+ Revision: 359060
- update to new version 2.088

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.087-1mdv2009.1
+ Revision: 337658
- update to new version 2.087

* Sun Dec 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.086-1mdv2009.1
+ Revision: 314251
- update to new version 2.086

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.084-1mdv2009.1
+ Revision: 292198
- update to new version 2.084

* Fri Sep 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.083-1mdv2009.0
+ Revision: 281737
- new version

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.082-2mdv2009.0
+ Revision: 265369
- rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.082-1mdv2009.0
+ Revision: 201857
- update to new version 2.082

* Tue Feb 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.081-1mdv2008.1
+ Revision: 175332
- update to new version 2.081

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.080-1mdv2008.1
+ Revision: 156178
- update to new version 2.080
- update to new version 2.080

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.079-1mdv2008.1
+ Revision: 113872
- update to new version 2.079

* Sun Nov 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.078-1mdv2008.1
+ Revision: 107977
- update to new version 2.078

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.076-1mdv2008.1
+ Revision: 104560
- update to new version 2.076

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.075-1mdv2008.1
+ Revision: 97512
- update to new version 2.075

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.073-1mdv2008.0
+ Revision: 56104
- new version

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.072-1mdv2008.0
+ Revision: 47697
- update to new version 2.072

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 2.070-1mdv2008.0
+ Revision: 20263
- 2.070
- disable test, don't start

* Fri Apr 27 2007 Oden Eriksson <oeriksson@mandriva.com> 2.065-2mdv2008.0
+ Revision: 18584
- rebuild


* Tue Mar 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.065-1mdk
- New release

* Mon Nov 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.063-1mdk
- 2.063

* Wed Sep 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.062-1mdk
- New release 2.062
- rpmbuildupdate aware
- spec cleanup

* Fri Jul 08 2005 Andreas Hasenack <andreas@mandriva.com> 2.061-1mdk
- packaged for Mandriva

